name = "soncsdrawer"
dependencies = {
	{"exdilin", "0.5.0"}
}


function register(registerType)
	if registerType == "textures" then
		exdilin.register_and_load_texture("2012 Smile", "2012/smile.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Surprised", "2012/surprised.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Frown", "2012/frown.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Tired", "2012/tired.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Joy", "2012/joy.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Malicious", "2012/malicious.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Sad", "2012/sadopenmouth.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 teeth", "2012/teeth.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Hmph", "2012/hmph.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Blank", "2012/blank.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Angry", "2012/angry.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Gasp", "2012/gasp.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 OwO", "2012/owo.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Malicious OwO", "2012/maliciousowo.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("2012 Sad OwO", "2012/sadowo.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Cube", "cubeface.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Cube Joy", "cubeopenmouth.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Straight", "straight.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Frog", "heads/frog.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Sad Frog", "heads/frogsad.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Frog Joy", "heads/frogsmile.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Alt Smile", "2012/smile.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Alt Surprised", "2012/surprised.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Alt Sad", "2012/frown.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Fox", "heads/fox.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Fox Joy", "heads/foxjoy.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Sad Fox", "heads/foxsad.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Reliefed Fox", "heads/foxrelief.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Scared Fox", "heads/foxscared.png", "Normal", "Decal")
		exdilin.register_and_load_texture("fox has seen shit", "heads/foxseenshit.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Fox Tail", "bodies/foxtail.png", "Normal", "Decal")
    end
end

function init()
	exdilin.load_block_model("Frog", "heads/frog.obj")
	exdilin.load_block_model("Round Head", "heads/roundhead.obj")
	exdilin.load_block_model("Coat", "bodies/coat.obj")
	exdilin.load_block_model("Cube Body", "bodies/cubebody.obj")
	exdilin.load_block_model("Fox", "heads/fox.obj")
	exdilin.load_block_model("Fox Tail", "bodies/foxtail.obj")
	exdilin.load_block_model("Celshaded Cube", "celshaded_cube.obj")
	exdilin.load_audio("Music/Practice", "sfx/practice.ogg")
	exdilin.load_audio("Music/Sashay", "sfx/sashay.ogg")
	exdilin.load_audio("Music/DSi_Shop", "sfx/dsi_shop.ogg")
	exdilin.load_audio("SFX/Vine_Boom", "sfx/boom.ogg")
end

function pre_init()
	local block = exdilin.new_block({
		id = "Celshaded Cube",
		modelName = "Celshaded Cube"
	})
	local blockItem = block.default_block_item("Yellow/Cube", "uncommon")
	blockItem.register()
	block.register()
	local block = exdilin.new_block({
		id = "Frog",
		modelName = "Frog"
	})
	local blockItem = block.default_block_item("Yellow/Cube", "rare")
	blockItem.register()
	block.register()
	local block = exdilin.new_block({
		id = "Coat",
		modelName = "Coat"
	})
	local blockItem = block.default_block_item("Yellow/Cylinder", "rare")
	blockItem.register()
	block.register()
	local block = exdilin.new_block({
		id = "Cube Body",
		modelName = "Cube Body"
	})
	local blockItem = block.default_block_item("Yellow/Cube", "rare")
	blockItem.register()
	block.register()
	local block = exdilin.new_block({
		id = "Round Head",
		modelName = "Round Head"
	})
	local blockItem = block.default_block_item("Yellow/Cube", "rare")
	blockItem.register()
	block.register()
	local block = exdilin.new_block({
		id = "Fox",
		modelName = "Fox"
	})
	local blockItem = block.default_block_item("Orange/Cylinder", "rare")
	blockItem.register()
	block.register()
	local block = exdilin.new_block({
		id = "Fox Tail",
		modelName = "Fox Tail"
	})
	local blockItem = block.default_block_item("Orange/Cube", "rare")
	blockItem.register()
	block.register()

    exdilin.texture_item("2012 Smile").register()
    exdilin.texture_item("2012 Surprised").register()
    exdilin.texture_item("2012 Frown").register()
    exdilin.texture_item("2012 Tired").register()
    exdilin.texture_item("2012 Joy").register()
    exdilin.texture_item("2012 Malicious").register()
    exdilin.texture_item("2012 Sad").register()
    exdilin.texture_item("2012 teeth").register()
    exdilin.texture_item("2012 Hmph").register()
    exdilin.texture_item("2012 Blank").register()
    exdilin.texture_item("2012 Angry").register()
    exdilin.texture_item("2012 Gasp").register()
    exdilin.texture_item("2012 OwO").register()
    exdilin.texture_item("2012 Malicious OwO").register()
    exdilin.texture_item("2012 Sad OwO").register()
    exdilin.texture_item("Cube").register()
    exdilin.texture_item("Cube Joy").register()
    exdilin.texture_item("Straight").register()
    exdilin.texture_item("Alt Smile").register()
    exdilin.texture_item("Alt Surprised").register()
    exdilin.texture_item("Alt Sad").register()
    exdilin.texture_item("Frog").register()
    exdilin.texture_item("Sad Frog").register()
    exdilin.texture_item("Frog Joy").register()
    exdilin.texture_item("Fox").register()
    exdilin.texture_item("Sad Fox").register()
    exdilin.texture_item("Fox Joy").register()
    exdilin.texture_item("fox has seen shit").register()
    exdilin.texture_item("Scared Fox").register()
    exdilin.texture_item("Reliefed Fox").register()
    exdilin.texture_item("Fox Tail").register()
    exdilin.music_item("Practice").register()
    exdilin.music_item("Sashay").register()
    exdilin.music_item("DSi_Shop").register()
    exdilin.sfx_item("Vine_Boom").register()
end
